Retrieve all PDF evidence metadata
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/evidenceRetrieve metadata for all PDF evidence uploaded for given participant.
Analytic events
- ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_START
- ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/evidence"{
"data": [
{
"filename": "pdf-evidence.pdf",
"fileDescription": "This is an example file description",
"id": "920f2489-d953-42f2-b2dd-f37c29b818cf",
"uploadedBy": {
"clientId": "string",
"managementUserId": "string"
},
"uploadedAt": "2025-07-01T00:00:00.000Z"
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Download PDF evidence GET
Retrieves a specific PDF evidence file. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_FAIL
Retrieve a PDF evidence metadata GET
Retrieve metadata for a given uploaded PDF evidence. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_FAIL